<?php
require_once("DBManager.class.php");

class trabajo{
	private $idtrabajo;///
	private $idmatricula;
	private $descripcion;
	private $archivo;
	private $fecha;
	private $idtarea;
	/////////////////constructor/////////////////
	
	public function Crear($vidm,$vdes,$var,$vf,$idt)
	{
		$resp=false;		
		$db= new DBManager();
		//$vf = implode("-", array_reverse(explode("-", $vf)));	
if($db->_execute("INSERT INTO trabajo(idtrabajo,idmatricula,descripcion,archivo,fecha,idtarea) VALUES(null,".$vidm.",'".$vdes."','".$var."','".$vf."',".$idt.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorMat($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo where(idmatricula =".$v.") order by idtrabajo desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idtrabajo"	=> $rs->fields["idtrabajo"],
									"idmatricula" 	=> $rs->fields["idmatricula"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"archivo" 	=> $rs->fields["archivo"],
									"fecha" 	=> $rs->fields["fecha"],
									"idtarea" 	=> $rs->fields["idtarea"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorMatTarea($v,$t)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo where(idmatricula =".$v." and idtarea=".$t.") order by idtrabajo desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idtrabajo"	=> $rs->fields["idtrabajo"],
									"idmatricula" 	=> $rs->fields["idmatricula"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"archivo" 	=> $rs->fields["archivo"],
									"fecha" 	=> $rs->fields["fecha"],
									"idtarea" 	=> $rs->fields["idtarea"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarPorTarea($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo where(idtarea =".$v.") order by idtrabajo desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idtrabajo"	=> $rs->fields["idtrabajo"],
									"idmatricula" 	=> $rs->fields["idmatricula"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"archivo" 	=> $rs->fields["archivo"],
									"fecha" 	=> $rs->fields["fecha"],
									"idtarea" 	=> $rs->fields["idtarea"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}	
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo where(idtrabajo = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idtrabajo=$rs->fields["idtrabajo"];
				$this->idmatricula=$rs->fields["idmatricula"];				
				$this->descripcion=$rs->fields["descripcion"];	
				$this->archivo=$rs->fields["archivo"];
				$this->fecha=$rs->fields["fecha"];
				$this->idtarea=$rs->fields["idtarea"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorMat($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager('root','');
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo where(idmatricula = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idtrabajo=$rs->fields["idtrabajo"];
				$this->idmatricula=$rs->fields["idmatricula"];				
				$this->descripcion=$rs->fields["descripcion"];	
				$this->archivo=$rs->fields["archivo"];
				$this->fecha=$rs->fields["fecha"];
				$this->idtarea=$rs->fields["idtarea"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final			
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}

	
	/*////////////////////////////////////////
	
	public function Actualizar($vid,$vn,$va,$ve)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update  clases set clase = '".$vn."', archivo = '".$va."',estado = '".$ve."' where (idclases=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}*/
	/*
	public function Actualizarestado($vid,$ve)			
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("update  clases set estado = '".$ve."' where (idclases=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();	
		$rs=$db->execute("select idtrabajo,idmatricula,descripcion,archivo,date_format(fecha, '%d-%m-%Y') as fecha,idtarea from trabajo order by idtrabajo desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idtrabajo"	=> $rs->fields["idtrabajo"],
									"idmatricula" 	=> $rs->fields["idmatricula"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"archivo" 	=> $rs->fields["archivo"],
									"fecha" 	=> $rs->fields["fecha"],
									"idtarea" 	=> $rs->fields["idtarea"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM trabajo WHERE (idtrabajo=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	
	public function EliminarPormat($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM trabajo WHERE (idmatricula=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////							
	
	public function getIdtrabajo(){ return $this->idtrabajo;}
	public function getIdmatricula(){ return $this->idmatricula;}
	public function getDescripcion(){ return $this->descripcion;}
	public function getArchivo(){ return $this->archivo;}
	public function getFecha(){ return $this->fecha;}
	public function getIdtarea(){ return $this->idtarea;}
}
?>